Name:           python-mitmproxy-rs
Version:        0.5.1
Release:        %mkrel 3
Summary:        An interactive, SSL/TLS-capable intercepting proxy for HTTP/1, HTTP/2, and WebSockets
Group:          Development/Python

License:        MIT
URL:            https://pypi.org/project/mitmproxy-rs/
Source:         %{pypi_source mitmproxy_rs}
Source1:        vendor.tar.xz
Source2:        config

BuildRequires:  python3-devel
BuildRequires:  gcc
BuildRequires:  cargo


%global _description %{expand:
mitmproxy is an interactive, SSL/TLS-capable intercepting proxy with a console
interface for HTTP/1, HTTP/2, and WebSockets. This package contains Rust part of
it}

%description %_description

%package -n     python3-mitmproxy-rs
Summary:        %{summary}

%description -n python3-mitmproxy-rs %_description


%prep
%autosetup -p1 -n mitmproxy_rs-%{version} -a1
mkdir -p .cargo
cp %{SOURCE2} .cargo/config.toml

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files mitmproxy_rs


%check
%pyproject_check_import


%files -n python3-mitmproxy-rs -f %{pyproject_files}



%changelog
* Sat Mar 01 2025 wally <wally> 0.5.1-3.mga10
+ Revision: 2155308
- rebuild for python3.13
- rebuild for python3.13

* Mon Apr 15 2024 papoteur <papoteur> 0.5.1-1.mga10
+ Revision: 2057752
- imported package python-mitmproxy-rs

